<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.sckw.usual.mapper.OrderGeneralTransportGoodsMapper">

    <select id="findByGoods" resultType="com.sckw.usual.entity.KwOrderUsualLandTransportGoods" >
        SELECT
            id,
            order_id orderId,
            order_no orderNo,
            goods_id goodsId,
            goods_name goodsName,
            goods_unit goodsUnit,
            goods_num goodsNum,
            goods_volume goodsVolume,
            goods_weight goodsWeight,
            create_by createBy,
            create_time createTime,
            update_by updateBy,
            update_time updateTime
        from kw_order_usual_land_transport_goods
        where del_flag = 0
          and order_id = #{lOrderId, jdbcType=BIGINT}
    </select>
</mapper>